Bug 307507 - /unban crashes konversation
Summary: /unban crashes konversation
Status: RESOLVED FIXED
Alias: None
Product: konversation
Classification: Applications
Component: general (show other bugs)
Version: 1.4
Platform: Ubuntu Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Konversation Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-27 23:47 UTC by kaddi.bug
Modified: 2012-09-28 02:30 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description kaddi.bug 2012-09-27 23:47:58 UTC
Application: konversation (1.4)
KDE Platform Version: 4.8.4 (4.8.4)
Qt Version: 4.8.1
Operating System: Linux 3.2.0-30-generic x86_64
Distribution: Ubuntu 12.04.1 LTS

-- Information about the crash:
- What I was doing when the application crashed:
I was connected to geekshed irc (not tested on any other networks). Entering /unban #channel where channel can be any random channel where you are banned or not, will crash konversation. Tried it repeatedly always with the same result.

The crash can be reproduced every time.

-- Backtrace:
Application: Konversation (konversation), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fbba4f14840 (LWP 3050))]

Thread 3 (Thread 0x7fbb8dc3f700 (LWP 3079)):
#0  0x00007fff59fff8de in ?? ()
#1  0x00007fbb9b74815d in __GI_clock_gettime (clock_id=<optimized out>, tp=<optimized out>) at ../sysdeps/unix/clock_gettime.c:116
#2  0x00007fbba1652bb4 in do_gettime (frac=0x7fbb8dc3ead8, sec=0x7fbb8dc3ead0) at tools/qelapsedtimer_unix.cpp:123
#3  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#4  0x00007fbba172ab8d in QTimerInfoList::updateCurrentTime (this=0x7fbb88002860) at kernel/qeventdispatcher_unix.cpp:343
#5  0x00007fbba172aec3 in QTimerInfoList::timerWait (this=0x7fbb88002860, tm=...) at kernel/qeventdispatcher_unix.cpp:450
#6  0x00007fbba172997c in timerSourcePrepareHelper (src=<optimized out>, timeout=0x7fbb8dc3ebac) at kernel/qeventdispatcher_glib.cpp:136
#7  0x00007fbba1729a25 in timerSourcePrepare (source=<optimized out>, timeout=<optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#8  0x00007fbb9d7af846 in g_main_context_prepare (context=0x7fbb880009a0, priority=0x7fbb8dc3ebf8) at /build/buildd/glib2.0-2.32.3/./glib/gmain.c:2836
#9  0x00007fbb9d7aff5b in g_main_context_iterate (dispatch=1, block=1, context=0x7fbb880009a0, self=<optimized out>) at /build/buildd/glib2.0-2.32.3/./glib/gmain.c:3126
#10 g_main_context_iterate (context=0x7fbb880009a0, block=1, dispatch=1, self=<optimized out>) at /build/buildd/glib2.0-2.32.3/./glib/gmain.c:3083
#11 0x00007fbb9d7b0164 in g_main_context_iteration (context=0x7fbb880009a0, may_block=1) at /build/buildd/glib2.0-2.32.3/./glib/gmain.c:3207
#12 0x00007fbba172a426 in QEventDispatcherGlib::processEvents (this=0x7fbb880008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#13 0x00007fbba16f9c82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#14 0x00007fbba16f9ed7 in QEventLoop::exec (this=0x7fbb8dc3ed10, flags=...) at kernel/qeventloop.cpp:204
#15 0x00007fbba15f8fa7 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#16 0x00007fbba16d99ff in QInotifyFileSystemWatcherEngine::run (this=0x1dd1700) at io/qfilesystemwatcher_inotify.cpp:248
#17 0x00007fbba15fbfcb in QThreadPrivate::start (arg=0x1dd1700) at thread/qthread_unix.cpp:298
#18 0x00007fbb9cf27e9a in start_thread (arg=0x7fbb8dc3f700) at pthread_create.c:308
#19 0x00007fbb9fd704bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#20 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7fbb87fff700 (LWP 3081)):
#0  0x00007fbb9cf29fc0 in __pthread_mutex_lock (mutex=0x7fbb8000c300) at pthread_mutex_lock.c:113
#1  0x00007fbb9d7eb5a1 in g_mutex_lock (mutex=<optimized out>) at /build/buildd/glib2.0-2.32.3/./glib/gthread-posix.c:208
#2  0x00007fbb9d7afc36 in g_main_context_dispatch (context=0x7fbb8000c240) at /build/buildd/glib2.0-2.32.3/./glib/gmain.c:3071
#3  0x00007fbb9d7b00a0 in g_main_context_iterate (dispatch=1, block=<optimized out>, context=0x7fbb8000c240, self=<optimized out>) at /build/buildd/glib2.0-2.32.3/./glib/gmain.c:3146
#4  g_main_context_iterate (context=0x7fbb8000c240, block=<optimized out>, dispatch=1, self=<optimized out>) at /build/buildd/glib2.0-2.32.3/./glib/gmain.c:3083
#5  0x00007fbb9d7b049a in g_main_loop_run (loop=0x7fbb8000c1f0) at /build/buildd/glib2.0-2.32.3/./glib/gmain.c:3340
#6  0x00007fbb98faf406 in gdbus_shared_thread_func (user_data=<optimized out>) at /build/buildd/glib2.0-2.32.3/./gio/gdbusprivate.c:277
#7  0x00007fbb9d7d19e5 in g_thread_proxy (data=0x7fbb80006370) at /build/buildd/glib2.0-2.32.3/./glib/gthread.c:801
#8  0x00007fbb9cf27e9a in start_thread (arg=0x7fbb87fff700) at pthread_create.c:308
#9  0x00007fbb9fd704bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fbba4f14840 (LWP 3050)):
[KCrash Handler]
#6  __memmove_ssse3 () at ../sysdeps/x86_64/multiarch/memcpy-ssse3.S:119
#7  0x00000000005041da in QConcatenable<QString>::appendTo (a=..., out=@0x7fff59ea95b8: 0x7fbb68b0d048) at /usr/include/x86_64-linux-gnu/bits/string3.h:52
#8  0x0000000000506144 in appendTo (out=@0x7fff59ea95b8: 0x7fbb68b0d048, p=...) at /usr/include/qt4/QtCore/qstringbuilder.h:293
#9  operator QString (this=<optimized out>) at /usr/include/qt4/QtCore/qstringbuilder.h:108
#10 Konversation::OutputFilter::execUnban (this=<optimized out>, mask=..., channel=...) at ../../src/irc/outputfilter.cpp:1507
#11 0x00000000004a6a86 in Server::requestUnban (this=0x1f68370, mask=..., channel=...) at ../../src/irc/server.cpp:1877
#12 0x00000000004b8e8b in Server::qt_metacall (this=0x1f68370, _c=QMetaObject::InvokeMetaMethod, _id=45, _a=0x7fff59ea9870) at ./server.moc:381
#13 0x00007fbba170f489 in QMetaObject::activate (sender=0x1fbd230, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff59ea9870) at kernel/qobject.cpp:3566
#14 0x0000000000507278 in Konversation::OutputFilter::unbanUsers (this=<optimized out>, _t1=..., _t2=...) at ./outputfilter.moc:543
#15 0x0000000000510e1c in Konversation::OutputFilter::command_unban (this=0x1fbd230, input=...) at ../../src/irc/outputfilter.cpp:1492
#16 0x0000000000514ed1 in Konversation::OutputFilter::qt_metacall (this=0x1fbd230, _c=QMetaObject::InvokeMetaMethod, _id=76, _a=0x7fff59eaa850) at ./outputfilter.moc:394
#17 0x00007fbba170302c in QMetaMethod::invoke (this=0x7fff59eaaa40, object=0x1fbd230, connectionType=Qt::DirectConnection, returnValue=..., val0=..., val1=..., val2=..., val3=..., val4=..., val5=..., val6=..., val7=..., val8=..., val9=...) at kernel/qmetaobject.cpp:1667
#18 0x00007fbba1705210 in QMetaObject::invokeMethod (obj=0x1fbd230, member=<optimized out>, type=Qt::DirectConnection, ret=..., val0=..., val1=..., val2=..., val3=..., val4=..., val5=..., val6=..., val7=..., val8=..., val9=...) at kernel/qmetaobject.cpp:1179
#19 0x00000000005160f7 in Konversation::OutputFilter::parse (this=0x1fbd230, myNick=..., originalLine=..., destination=..., inputContext=<optimized out>) at ../../src/irc/outputfilter.cpp:292
#20 0x00000000004c7d10 in Channel::sendChannelText (this=0x250fa70, sendLine=...) at ../../src/irc/channel.cpp:810
#21 0x00000000004c8289 in Channel::channelTextEntered (this=<optimized out>) at ../../src/irc/channel.cpp:771
#22 0x00000000004d1073 in Channel::qt_metacall (this=0x250fa70, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff59eab380) at ./channel.moc:174
#23 0x00007fbba170f489 in QMetaObject::activate (sender=0x2535ee0, m=<optimized out>, local_signal_index=<optimized out>, argv=0x0) at kernel/qobject.cpp:3566
#24 0x0000000000529bf5 in IRCInput::keyPressEvent (this=0x2535ee0, e=0x7fff59eabed0) at ../../src/viewer/ircinput.cpp:261
#25 0x00007fbba08511c8 in QWidget::event (this=0x2535ee0, event=0x7fff59eabed0) at kernel/qwidget.cpp:8397
#26 0x00007fbba0c113b6 in QFrame::event (this=0x2535ee0, e=0x7fff59eabed0) at widgets/qframe.cpp:557
#27 0x00007fbba0c934c3 in QAbstractScrollArea::event (this=0x2535ee0, e=0x7fff59eabed0) at widgets/qabstractscrollarea.cpp:996
#28 0x00007fbba0c7fe30 in QTextEdit::event (this=0x2535ee0, e=0x7fff59eabed0) at widgets/qtextedit.cpp:1070
#29 0x000000000052a7f6 in IRCInput::event (this=0x2535ee0, e=0x7fff59eabed0) at ../../src/viewer/ircinput.cpp:316
#30 0x00007fbba0800894 in notify_helper (e=0x7fff59eabed0, receiver=0x2535ee0, this=0x18bd400) at kernel/qapplication.cpp:4559
#31 QApplicationPrivate::notify_helper (this=0x18bd400, receiver=0x2535ee0, e=0x7fff59eabed0) at kernel/qapplication.cpp:4531
#32 0x00007fbba0805dd5 in QApplication::notify (this=<optimized out>, receiver=<optimized out>, e=0x7fff59eabed0) at kernel/qapplication.cpp:4000
#33 0x00007fbba21619e6 in KApplication::notify (this=0x7fff59eacdd0, receiver=0x2535ee0, event=0x7fff59eabed0) at ../../kdeui/kernel/kapplication.cpp:311
#34 0x00007fbba16fae9c in QCoreApplication::notifyInternal (this=0x7fff59eacdd0, receiver=0x2535ee0, event=0x7fff59eabed0) at kernel/qcoreapplication.cpp:876
#35 0x00007fbba08a4c49 in QKeyMapper::sendKeyEvent (keyWidget=0x2535ee0, grab=<optimized out>, type=QEvent::KeyPress, code=16777220, modifiers=..., text=..., autorepeat=false, count=1, nativeScanCode=36, nativeVirtualKey=65293, nativeModifiers=0) at kernel/qkeymapper_x11.cpp:1866
#36 0x00007fbba08a50bb in QKeyMapperPrivate::translateKeyEvent (this=0x1954630, keyWidget=0x2535ee0, event=0x7fff59eac9c0, grab=false) at kernel/qkeymapper_x11.cpp:1836
#37 0x00007fbba087f637 in QApplication::x11ProcessEvent (this=0x7fff59eacdd0, event=0x7fff59eac9c0) at kernel/qapplication_x11.cpp:3625
#38 0x00007fbba08a90d2 in x11EventSourceDispatch (s=0x18d0150, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#39 0x00007fbb9d7afd53 in g_main_dispatch (context=0x18cff00) at /build/buildd/glib2.0-2.32.3/./glib/gmain.c:2539
#40 g_main_context_dispatch (context=0x18cff00) at /build/buildd/glib2.0-2.32.3/./glib/gmain.c:3075
#41 0x00007fbb9d7b00a0 in g_main_context_iterate (dispatch=1, block=<optimized out>, context=0x18cff00, self=<optimized out>) at /build/buildd/glib2.0-2.32.3/./glib/gmain.c:3146
#42 g_main_context_iterate (context=0x18cff00, block=<optimized out>, dispatch=1, self=<optimized out>) at /build/buildd/glib2.0-2.32.3/./glib/gmain.c:3083
#43 0x00007fbb9d7b0164 in g_main_context_iteration (context=0x18cff00, may_block=1) at /build/buildd/glib2.0-2.32.3/./glib/gmain.c:3207
#44 0x00007fbba172a3bf in QEventDispatcherGlib::processEvents (this=0x1860af0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#45 0x00007fbba08a8d5e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#46 0x00007fbba16f9c82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#47 0x00007fbba16f9ed7 in QEventLoop::exec (this=0x7fff59eacd60, flags=...) at kernel/qeventloop.cpp:204
#48 0x00007fbba16fef67 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1148
#49 0x0000000000446d4a in main (argc=5, argv=0x7fff59eadc68) at ../../src/main.cpp:120

Reported using DrKonqi
Comment 1 Eike Hein 2012-09-28 02:30:13 UTC
Git commit fe32f2615936c340891a6b039dae14d9fb20c5b3 by Eike Hein.
Committed on 28/09/2012 at 04:30.
Pushed by hein into branch '1.4'.

Don't crash on illegal patternless /unban <channel>.

M  +1    -1    src/irc/outputfilter.cpp

http://commits.kde.org/konversation/fe32f2615936c340891a6b039dae14d9fb20c5b3